POST /launcher/track-game-sessions
Track and update game session data

Header Parameters

X-Request-Nonce string optional header
Random string identifier for request (for signature verification)
X-Request-Signature string optional header
MD5 hash for request verification

Request Body required

application/json
launcherJwt string REQUIRED
sessionId string REQUIRED
UUID string that uniquely identifies the play session
state string REQUIRED
JSON string containing structured game state data (max size 1MB)
endTime integer (int64)
Timestamp in milliseconds marking the end of the session

Responses

200 Successful response
application/json
success boolean
400 Bad Request
401 Unauthorized
curl -X POST 'https://api.basement.fun/launcher/track-game-sessions' \  -H 'Content-Type: application/json' \  -d '{  "launcherJwt": "string",  "sessionId": "string",  "state": "string",  "endTime": 0}'
const response = await fetch('https://api.basement.fun/launcher/track-game-sessions', {  method: 'POST',  headers: {      "Content-Type": "application/json"  },  body: JSON.stringify({    "launcherJwt": "string",    "sessionId": "string",    "state": "string",    "endTime": 0  })});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://api.basement.fun/launcher/track-game-sessions', json={  "launcherJwt": "string",  "sessionId": "string",  "state": "string",  "endTime": 0})print(response.json())
200 Response
{  "success": true}
Ask a question... ⌘I